SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002178: 2.3RC1: Quality of Service - Rules: Can not add a GRE or ESP service rule - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002178Endian FirewallOther Servicespublic2009-09-21 10:202009-10-27 11:58
Reportermhandrich 
Assigned Tosimon-endian 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3-rc1 
Target Version2.3Fixed in Version2.3 
Summary0002178: 2.3RC1: Quality of Service - Rules: Can not add a GRE or ESP service rule
DescriptionIf i try to add a ESP or GRE rule for <any>/<all> services, i allways get a "some error" message. The System does not understand the empty destination or a notation like 0:65535 (which is added automaticaly). If i add a userdefined port with ESP or GRE, the error comes up again.

In generall it would realy be good to be able to add a port-range in the 0:65535 syntax (or something similar). Some protocols like Bit-Torrent use many ports (dest. 6881 - 6999 and more), typing in over 110 lines is not great fun.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002240closedsimon-endian 2.3RC1: EMI/Quality of Service should not use int for portvaildation but a port validator and add 

-  Notes
(0003034)
peter-endian (administrator)
2009-09-29 09:57

- destination port should not be required when protocol is not tcp or udp
- sport/dport schema definition need to be something like Multiline(PortRange), Int is to restrictive.
(0003044)
simon-endian (developer)
2009-09-29 15:51

- port is not required
- fixed problem with gre and esp

- Issue History
Date Modified Username Field Change
2009-09-21 10:20 mhandrich New Issue
2009-09-29 09:57 peter-endian Note Added: 0003034
2009-09-29 09:57 peter-endian Assigned To => simon-endian
2009-09-29 09:57 peter-endian Status new => confirmed
2009-09-29 09:57 peter-endian Target Version => 2.3
2009-09-29 15:51 simon-endian Note Added: 0003044
2009-10-06 15:44 simon-endian Issue cloned: 0002240
2009-10-06 15:44 simon-endian Relationship added related to 0002240
2009-10-06 15:44 simon-endian Status confirmed => resolved
2009-10-06 15:44 simon-endian Fixed in Version => 2.3
2009-10-06 15:44 simon-endian Resolution open => fixed
2009-10-27 11:58 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker